       * = $1001
       .BYTE $16,$10,0,0,$9E
       .NULL "6144:LITWR-2013"
       .BYTE 0,0

;D0 - temp, D1 - temp, DC - screen's rows, DD - # of the first line at screen
;D2-D3 (txt src), D4-D5(txt), D6-D7 (attr), E0-E1 (src attr) - for outstr
;D8-D9 - mul40
;DA - saved AC, DB - saved XR during interrupt calls
;DE - line counter from start to end of list of lines
;DF - screen's line position

lines  =   $DD
linen  =   $DC
linec  =   $DE
linep  =   $DF

       * = $1800
start  LDA #$98
       STA $FF07
       LDA #$61
       STA $FF19
       LDA #0
       STA lines
       LDA #24
l0     STA linen
       SEI
       STA $FF3F
       JSR iniirq
       CLI

l7     LDA lines
       STA linec
       LDA #0
       STA linep
l5     JSR outstr
       INC linep
       INC linec
       LDA linep
       CMP linen
       BMI l5

       LDY #$80
       JSR delay

l1     LDA $FF1C
       CMP #$FF
       BNE l1

       LDA $FF1D
       CMP #$10
       BCS l1

       LDA $FF1C
       CMP #$FF
       BNE l1

       LDA #$DF
       JSR keysc
       CMP #$FF
       BNE cud

       LDA #$BF
       JSR keysc
       CMP #$FF
       BEQ l1

       CMP #$FE
       BNE l2

       LDA #80
       STA $FF0F
       LDA #0
       STA $FF10
       LDX linen	;cursor left
       INX
       CPX #37
       BPL l1

       TXA
       ADC lines
       CMP #textn+1
       TXA
       BCC l0

       DEC lines
       BPL l0

l2     CMP #$F7
       BNE l1

       LDA #160
       STA $FF0F
       LDA #0
       STA $FF10
       LDX linen	;cursor right
       DEX
       TXA
       BPL l0
       BMI l1

cud    CMP #$FE
       BNE l3

       LDA #<320
       STA $FF0F
       LDA #>320
       STA $FF10
       LDA lines        ;cursor down
       CLC
       ADC linen
       CMP #textn
       BPL l1

       INC lines
       JMP l7

l3     CMP #$F7
       BNE l1

       LDA #<641
       STA $FF0F
       LDA #>641
       STA $FF10
       LDA lines	;cursor up
       BNE l8
       JMP l1

l8     DEC lines
       JMP l7

comm1  LDA #<irqe1
       STA $FFFE
       LDA e1_0b,X
       STA $FF0B
       LDA #$A3		;1 - hi byte
       STA $FF0A
       RTS

comm2  LDA #<irqe4
       STA $FFFE
       LDX $D1
       LDA e4_0b,X
       STA $FF0B
       LDA #$A3		;1 - hi byte
       STA $FF0A
       RTS

       * = $1900
irqe4  .block
       STA $DA
       STX $DB
       LDA #$13
       STA $FF1D
       INC $FF09
       LDX $D1
       LDA e4_ws,X
       BEQ l1

       TAX
l2     JSR wt35l
       DEX
       BNE l2

       LDX $D1
l1     LDA e5_0b,X
       STA $FF0B
       LDA #$A2		;0 - hi byte
       STA $FF0A
       LDA #<irqe5
       STA $FFFE
       LDX $DB
       LDA $DA
       RTI 

wt35l  LDA #<iel	;waits 35 lines
       STA $FFFE
       LDA #$36
       STA $FF0B
       CLI
l4     ORA #0
       BNE l4
       RTS

iel    LDA #$13
       STA $FF1D
       INC $FF09
       LDA #$00
       RTI
       .bend

irqe5  STA $DA
       LDA #$CA
       STA $FF1D
       LDA #$FA		;250
       STA $FF0B
       LDA #<irqe6
       STA $FFFE
       INC $FF09
       LDA $DA
       RTI

irqe6  STA $DA
       STX $DB
       LDX $D1
       LDA e6_1d,X
       STA $FF1D
       JSR comm2
       INC $FF09
       LDX $DB
       LDA $DA
       RTI

irqe1  STA $DA
       LDA #$36
       STA $FF1D
       LDA #$CA		;202
       STA $FF0B
       LDA #$A2		;0 - hi byte
       STA $FF0A
       LDA #<irqe2
       STA $FFFE
       LDA $DA
irqe0  INC $FF09
       RTI

irqe2  STA $DA
       STX $DB
       LDX $D1
       LDA e2_1d,X
       STA $FF1D
       LDA #$CD		;205
       STA $FF0B
       LDA #<irqe3
       STA $FFFE
       LDA #$10
       STA $FF14
       INC $FF09
       LDX $DB
       LDA $DA
       RTI

irqe3  STA $DA
       STX $DB
       LDX $D1
       LDA e3_1d,X
       STA $FF1D
       JSR comm1
       INC $FF09
       LDA #8
       STA $FF14
       LDX $DB
       LDA $DA
       RTI

mul40  STA $D0		;($D8)=A*40
       LDA #0		;used: $D0, X
       CLC
       ASL $D0
       ROL
       ASL $D0
       ROL
       ASL $D0
       ROL
       LDX $D0
       STX $D8
       STA $D9
       ASL $D0
       ROL
       ASL $D0
       ROL
       TAX
       LDA $D0
       ADC $D8
       STA $D8
       TXA
       ADC $D9
       STA $D9
       RTS		;CY=0

trchar .block		;ASCII->PETSCII
       LDA ($D2),Y
       CMP #$40
       BMI l1

       CMP #$5C
       BPL l2

       SEC
       SBC #$40
       RTS

l2     CLC
       ADC #$20
l1     RTS
       .bend

outstr .block		;print 40 chars long string
       LDA linec        ;string's start address (txtl01)+40*linec
       JSR mul40
       LDA #<txtl01
       ADC $D8
       STA $D2
       LDA #>txtl01
       ADC $D9
       STA $D3
       LDA #<attl01
       ADC $D8
       STA $E0
       LDA #>attl01
       ADC $D9
       STA $E1
       LDA linep
       CMP #25
       BMI l2
       BEQ l26

       JSR mul40
       LDA $D8
       STA $D4
       STA $D6
       LDA #$10
       ADC $D9
       STA $D5
       LDA #$C
       JMP l3

l2     JSR mul40
       LDA $D8
       STA $D4
       STA $D6
       LDA #$C
       ADC $D9
       STA $D5
       LDA #8
l3     ADC $D9
       STA $D7

       LDY #39
l1     JSR trchar
       STA ($D4),Y
       LDA ($E0),Y
       STA ($D6),Y
       DEY
       BPL l1
       RTS

l26    LDY #23
l1a    JSR trchar
       STA $17E8,Y
       LDA ($E0),Y
       STA $13E8,Y
       DEY
       BPL l1a

       LDY #39
l1b    JSR trchar
       STA $13E8,Y
       LDA ($E0),Y
       STA $FE8,Y
       DEY
       CPY #23
       BNE l1b
       RTS
       .bend

iniirq .block		;A - number of rows
       LDX #$1B
       STX $FF06
       ORA #0
       BEQ irq0

       SEC
       SBC #25
       BEQ irq25
       BPL irq36

       ADC #24
       STA $D1
       LDA #>irqe4
       STA $FFFF
       JMP comm2

irq36  TAX
       DEX
       STX $D1
       LDA #>irqe1
       STA $FFFF
       JMP comm1

irq0   LDA #$0B
       STA $FF06
irq25  LDA #>irqe0
       STA $FFFF
       LDA #<irqe0
       STA $FFFE
       RTS
       .bend

keysc  STA $FD30
       STA $FF08
       LDA $FF08
       RTS

delay  .block		;Y - in
l1     DEX
       BNE l1
       TYA
       LSR
       LSR
       LSR
       LSR
       LSR
       ORA #$20
       STA $FF11
       DEY
       BNE l1
       STY $FF11
       RTS
       .bend

e2_1d  .byte $C2,$BA,$B2,$AA,$A2,$9A,$92,$8A,$82,$7A,$72
e3_1d  .byte $D4,$D8,$DC,$E0,$E4,$E8,$EC,$F0,$F4,$F8,$FC
e1_0b  .byte $35,$31,$2D,$29,$25,$21,$1D,$19,$15,$11,$0D

e4_ws  .byte   2,  2,  2,  2,  2,  2,  2,  1,  1,  1,  1,  1,  1
       .byte   1,  1,  1,  0,  0,  0,  0,  0,  0,  0,  0
e4_0b  .byte $2D,$29,$25,$21,$1D,$19,$15,$34,$30,$2C,$28,$24,$20
       .byte $1C,$18,$14,$33,$2F,$2B,$27,$23,$1F,$1B,$17
e5_0b  .byte $0A,$12,$1A,$22,$2A,$32,$3A,$42,$4A,$52,$5A,$62,$6A
       .byte $72,$7A,$82,$8A,$92,$9A,$A2,$AA,$B2,$BA,$C2
e6_1d  .byte $9A,$9E,$A2,$A6,$AA,$AE,$B2,$B6,$BA,$BE,$C2,$C6,$CA
       .byte $CE,$D2,$D6,$DA,$DE,$E2,$E6,$EA,$EE,$F2,$F6

;             0123456789012345678901234567890123456789
txtl01 .text " 1  Hello!  This is a demonstration of  "
txtl02 .text " 2  text screen sizes for PAL Commodore "
txtl03 .text " 3  16/+4.  The standard text uses a    "
txtl04 .text " 4  size of 40x25, but it is also       "
txtl05 .text " 5  possible to use any number of rows  "
txtl06 .text " 6  ranging from 0 to 36.  Use the      "
txtl07 .text " 7  cursor keys left and right to change"
txtl08 .text " 8  the screen size.  Use the cursor    "
txtl09 .text " 9  keys up and down to scroll the text."
txtl10 .text "10  All these text modes are fast and   "
txtl11 .text "11  can be used with any software.      "
txtl12 .text "12  There is a rule however where the   "
txtl13 .text "13  fewer rows used the faster it will  "
txtl14 .text "14  be meaning if 25 rows are 100% in   "
txtl15 .text "15  terms of CPU speed then 26 rows will"
txtl16 .text "16  run slower at 98.69% and 36 rows at "
txtl17 .text "17  78.94% of our 100% 25 rows speed.   "
txtl18 .text "18  Each row above 25 uses only slightly"
txtl19 .text "19  more than 1.91% of the CPU          "
txtl20 .text "20  performance.  If the number of rows "
txtl21 .text "21  is below 25 then the processor will "
txtl22 .text "22  speed up allowing each absent row to"
txtl23 .text "23  return 1.91% of additional speed.   "
txtl24 .text "24  That said one text row gives 145.94%"
txtl25 .text "25  of normal speed to CPU.  The size of"
txtl26 .text "26  code which allows us to use these   "
txtl27 .text "27  different text modes is around 300  "
txtl28 .text "28  bytes.  This demo shows the         "
txtl29 .text "29  possibility of using up to 320x288  "
txtl30 .text "30  or 160x288 pixel graphics.  It can  "
txtl31 .text "31  also be used to test your monitor   "
txtl32 .text "32  rows capability, for example my old "
txtl33 .text "33  CRT TV can only display 33 lines and"
txtl34 .text "34      my big LCD TV can show 34 lines."
txtl35 .text "35                                      "
txtl36 .text "36  Coded by Litwr, the text improvement"
txtl37 .text "37                          by MIK, 2013"
txtl38 .text "38                                      "
txtl39 .text "39  This is free software - use it      "
txtl40 .text "40                               freely."
txtl41 .text "41  Greetings to Patrick, Gaia, Csabo,  "
txtl42 .text "42                                  SVS."
txtl43 .text "43  Thanks to IstvanV and Nicholas      "
txtl44 .text "44                               Coplin."
txtl45 .text "45                                      "
txtl46 .text "46  Let's finish with a piece of poetry "
txtl47 .text "47        from the Lewis Carrol's books."
txtl48 .text "48                                      "
txtl49 .text "49       - How doth the little crocodile"
txtl50 .text "50             Improve his shining tail,"
txtl51 .text "51        And pour the water of the Nile"
txtl52 .text "52                On every golden scale!"
txtl53 .text "53                                      "
txtl54 .text "54       - How cheerfully he seems grin,"
txtl55 .text "55          How neatly spread his claws,"
txtl56 .text "56          And welcome little fishes in"
txtl57 .text "57             With gently smiling jaws."
txtl58 .text "58                  * * *               "
txtl59 .text "59         - I speak severely to my boy,"
txtl60 .text "60           I beat him when he sneezes;"
txtl61 .text "61           For he can thoroughly enjoy"
txtl62 .text "62           The pepper when he pleases!"
txtl63 .text "63                  * * *               "
txtl64 .text "64       'Beware the Jabberwock, my son!"
txtl65 .text "65  The jaws that bite, the claws that  "
txtl66 .text "66                                catch!"
txtl67 .text "67      Beware the Jubjub bird, and shun"
txtl68 .text "68           The frumious Bandersnatch!'"
txtl69 .text "69                  * * *               "
txtl70 .text "70          Humpty Dumpty sat on a wall,"
txtl71 .text "71       Humpty Dumpty had a great fall."
txtl72 .text "72  All the king's horses and all the   "
txtl73 .text "73                            king's men"
txtl74 .text "74   Couldn't put Humpty together again."
txtl75 .text "75                                      "
txtl76 .text "76               *********              "
txtl77 .text "77             -i         i-            "
txtl78 .text "78            ( i  O   O  i )           "
txtl79 .text "79             -i    I    i-            "
txtl80 .text "80              i  .   .  i             "
txtl81 .text "81              *   ---   *             "
txtl82 .text "82               *       *              "
txtl83 .text "83                *******               "
textn  = 83

attl01 .byte $31,$31,0,0,$45,$42,$42,$42,$42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl02 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl03 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl04 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl05 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl06 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$26,$26,$26,0,$26,$26,$26,$26,0,0,0,0,0
attl07 .byte $31,$31,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26
attl08 .byte $31,$31,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,0,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,0,0,0
attl09 .byte $31,$31,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,0
attl10 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl11 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl12 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl13 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl14 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl15 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl16 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl17 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl18 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl19 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl20 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl21 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl22 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl23 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl24 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl25 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl26 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl27 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl28 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl29 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl30 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl31 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl32 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl33 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl34 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl35 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl36 .byte $31,$31,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26
attl37 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26
attl38 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl39 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl40 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl41 .byte $31,$31,0,0,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26,$26
attl42 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$26,$26,$26,$26,$26
attl43 .byte $31,$31,0,0,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27
attl44 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27,$27
attl45 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl46 .byte $31,$31,0,0,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46
attl47 .byte $31,$31,0,0,0,0,0,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46,$46
attl48 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl49 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl50 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl51 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl52 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl53 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl54 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl55 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl56 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl57 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl58 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl59 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl60 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl61 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl62 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl63 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl64 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl65 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl66 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl67 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl68 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl69 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl70 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl71 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl72 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl73 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl74 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl75 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl76 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl77 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl78 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$16,0,0,0,$16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl79 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl80 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$37,0,0,0,$37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl81 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,$37,$57,$37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl82 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
attl83 .byte $31,$31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

